ArrayIterator::asort
ArrayIterator::count
ArrayIterator
PHP Manual

# ArrayIterator::__construct

(PHP 5 >= 5.0.0)

ArrayIterator::__construct — Construct an ArrayIterator

### Description

ArrayIterator::__construct ( mixed `$array` )

Constructs an ArrayIterator object .

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`array`

  The array or object to be iterated on.

### Return Values

An ArrayIterator object .

### Errors/Exceptions

ArrayIterator::__construct() throws an InvalidArgumentException if anything besides an array or an object is given.

### See Also

- ArrayIterator::getArrayCopy - Get array copy

ArrayIterator::asort
ArrayIterator::count
ArrayIterator
PHP Manual